<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionLayoutBlockAddSizeFieldToColumns extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'size'  => [
            'en'     => [
                'name' => 'Size',
            ],
            'type'   => 'anomaly.field_type.select',
            'config' => [
                'default_value' => 6, // 1/2
                'options' => [
                    9 => '3/4',
                    8 => '2/3',
                    6 => '1/2',
                    4 => '1/3',
                    3 => '1/4',
                ]
            ],
        ],
    ];

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'columns',
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'size' => [
            'required' => true,
        ],
    ];

}
